
@import url('https://fonts.googleapis.com/css?family=Ubuntu+Mono');
/* ===== リセット ===== */
*{
  margin:0; /* デフォルト余白リセット */
  padding:0; /* デフォルトパディングリセット */
  box-sizing:border-box; /* 幅計算にパディング/ボーダーを含める */
  font-family:"游ゴシック体", "Yu Gothic", YuGothic, sans-serif;/*"Helvetica Neue",Arial,sans-serif;*/ /* フォント指定 */
	
}
a {
  margin:0;
  padding:0;
  font-size:100%;
  vertical-align:baseline;
  background:transparent;
}
body{
  background:#fff; /* 背景白 */
  color:#111; /* 文字色 */
  overflow-x:hidden; /* 横スクロール禁止 */
}

/* =========================
   全画面固定背景
========================= */
/*body{
  background: url('../img/top_all.jpg') center center / cover no-repeat fixed;
  background-color:#fff;
}
*/
/* ===== 初期状態：背景を隠す ===== */
body{
  background: url('../img/top_all.jpg') center center / cover no-repeat fixed;
  background-color:#fff;

  opacity: 0;
  transition: opacity 1.5s ease;
}

/* ===== 表示後 ===== */
body.bg-show{
  opacity: 1;
}

/* ===== PC背景 ===== */
@media(min-width:1069px){
  body{
    background-attachment: fixed;
  }
}

/* ===== ヒーロースペース ===== */
.hero-space{ height:30vh; } /* 背景画像だけ見せるスペース */

/* ===== 左上固定ロゴ ===== */
.site-logo{
  position:fixed;
  top:25px;
  left:25px;
  z-index:1000;
  display:block;
}

.site-logo img{
  height:40px;   /* サイズ調整 */
  width:auto;
  display:block;
  transition:0.3s ease;
}

/* ホバー */
.site-logo:hover img{
  opacity:0.8;
  transform:translateY(-2px);
}
/* ===== レスポンシブ ===== */
@media(max-width:1068px){
  .site-logo img{
    height:36px;
  }
}
/* ===== リード文 ===== */
.lead-text{
  width:90%;
  max-width:1200px;
  margin:80px auto;   /* ← 中央寄せ＆上下余白 */
  text-align:center;
  padding:80px 40px;
  opacity:0;
  transform:translateY(40px);  
  transition:0.9s cubic-bezier(0.16,1,0.3,1); 
  overflow:hidden;
  transition-delay: 0.8s; /* 背景のあと */
}
.lead-text.show{ opacity:1; } /* スクロール表示時 */
.hero span{
  display:inline-block; opacity:0; transform:translateY(20px);
  animation:fadeInUp 0.5s forwards; /* 文字ごとアニメーション */
  font-size:20px; color:#fff;
  font-weight: 700;
  text-shadow: 0 4px 12px rgba(0, 0, 0, .35);/* 光彩 */
}
.hero{
	margin-bottom: 50px;}
@keyframes fadeInUp{ to{ opacity:1; transform:translateY(0); } }
.accent{
	color:#fff; font-weight:700; font-size:3.8rem; margin:30px 0 0 0; 
	text-shadow:0 4px 12px rgba(0, 0, 0, .35);
}
p.accent span{font-size:3.8rem; }


/* ===== YouTubeレスポンシブ ===== */
.video-wrapper{
  width:100%;
  max-width:800px;      /* PC*/
  margin:0 auto;        /* 中央寄せ */
}

/* アスペクト比固定（16:9） */
.video-wrapper iframe{
  width:100%;
  aspect-ratio:16 / 9;
  height:auto;
}

@media(max-width:1068px){
  .video-wrapper{
    width:90%;    
  }
}


/* ===== カード ===== */
.content{ width:90%; max-width:1200px; margin:100px auto; }
.card{
  display:flex;
  align-items:center;
  gap:50px;
  background:/*#FFFFFF*/rgba(255,255,255,0.23);
  padding:50px 60px;
  /*border-radius:25px;*/
  margin-bottom:100px;
  text-decoration:none;
  color:#000;

  box-shadow: 0 4px 12px rgba(0, 0, 0, .35);

  opacity:0;
  transform:translateY(40px);   /* 下から */
  transition:0.8s cubic-bezier(0.16,1,0.3,1);
}
.card{
  position:relative; 
  overflow:visible; 
}

.card-deco{
  position:absolute;
  width:110px;  
  z-index:3;
  pointer-events:none;
 top:-90px;
  left:-40px;
}
.card-deco_2{
  position:absolute;
  top:-15px;      /* 少しはみ出し */
  right:-25px;

  width:210px;
  z-index:3;
  pointer-events:none;
}
/* 右上用 */
.card-deco-right{
  position:absolute;
  top:-75px;      /* 少しはみ出し */
  right:-20px;
  width:110px;
  z-index:3;
  pointer-events:none;

  filter: drop-shadow(0 8px 20px rgba(0,0,0,0.25));
  
}


.card.show .card-deco{
  animation: rotateStep 2.4s steps(2) infinite;
  animation-delay: 0.6s;
}

.card.show .card-deco-right,.card.show .card-deco_2{
  animation: rotateStep 1.8s steps(2) infinite;
  animation-delay: 0.7s;
}
@keyframes rotateStep{
  0%   { transform: rotate(6deg); }
/*  25%  { transform: rotate(10deg); }*/
/*  50%  { transform: rotate(6deg); }*/
 /* 75%  { transform: rotate(12deg); }*/
 /* 100% { transform: rotate(6deg); }*/
}
.card:hover{ box-shadow:0 0 20px #209783,0 0 40px #209783,0 0 80px #209783 inset; transform:translateY(-5px); }

.card.show{
  opacity:1;
transform:translateY(30px);
transition:1s ease;
}
.card-image{ flex:0 0 200px; height:200px; overflow:hidden; border-radius:20px; box-shadow:0 4px 12px rgba(0, 0, 0, .35); }

.card-image img{ width:100%; height:100%; object-fit:cover; transition:0.6s; }
.card:hover img{ transform:scale(1.05); filter:brightness(1.1); }
.card-header{ display:flex; align-items:baseline; gap:15px; margin-bottom:20px; }

.card-header h2{font-size:2.55rem; font-weight:bold; color:#209783; }
.card-header .subtitle{  font-size:1rem; color:#fff; font-weight:100;transform: skewX(-7deg);
 text-shadow: 0 4px 12px rgba(0, 0, 0, .35);/* 光彩 */ }

.card button,.hero button,.view-btn{
  margin-top:20px; padding:12px 38px; border:none; border-radius:30px;
  background:#fa985e; color:#fff; cursor:pointer; font-weight:500;
font-size: 20px;
  position:relative; transition:0.3s;
  box-shadow:0 4px 12px rgba(0, 0, 0, .35);
}
.hero button{margin-top: 50px;}

.card button::after,.hero button::after,.view-btn::after{
  content:'→'; position:absolute; right:5px; top:50%; transform:translateY(-50%);
  transition:0.3s; font-size:1.2rem;
}
.card button:hover::after,.hero button:hover::after,.view-btn:hover::after{ right:-10px; } /* ホバーで矢印右に移動 */
.card button:hover,.hero button:hover,.view-btn:hover{ background:#F35F07; transform:translateY(-2px); }

.card button a{color: #fff !important;}
.hero button a:link,.interview-btn a:link{color: #fff;
	text-decoration: none;
}

button a:visited{color: #FFFFFF;}

/* INTERVIEW ボタン*/
.interview-btn{
  text-align:center;
  margin-top:40px;
}


.box-card{
  padding: 0.5em 1em;
  background: linear-gradient(to right, #1198A7 0%, #009C84 50%, #F1985E 100%);
  color: #FFF;

  transform: scaleX(0);
  transform-origin: left;
  opacity: 1; /* 背景は消さない */

  transition: transform 0.3s cubic-bezier(0.22, 1, 0.36, 1);
  will-change: transform;
}
.card.show .box-card{
  transform: scaleX(1);
  transition: transform 1.2s cubic-bezier(0.22, 1, 0.36, 1);
  transition-delay: 0.8s; /* ←カード出現後 */
}
.box-card h2{
  opacity: 0;
  transform: translateX(-15px);
}

.card.show .box-card h2{
  opacity: 1;
  transform: translateX(0);
  transition: 
    opacity 0.6s ease,
    transform 0.6s ease;
  transition-delay: 1.4s; /* ←背景のあと */
}


.box-card h2{
	color: #fff;
	font-size: 24px;
	font-weight: 700;
	margin: 0; 
    padding: 0;
    text-shadow: 0 4px 12px rgba(0, 0, 0, .35);}

/* ===== ギャラリー ===== */
.image-gallery{ width:100%; overflow:hidden; padding:40px 0;  position:relative; }
.gallery-track{ display:flex; gap:30px;  }
.image-gallery:hover .gallery-track{ animation-play-state:paused; } /* ホバーで停止 */
.gallery-track a{ flex:0 0 auto; display:block; }
.gallery-track img{
  width:350px; height:480px; object-fit:cover; border-radius:15px; box-shadow:0 4px 12px rgba(0, 0, 0, .35);
  transition:0.3s;
}
.gallery-track img:hover{ transform:scale(1.05); box-shadow:0 0 20px #209783,0 0 40px #209783; }

.image-gallery{
  width:100%;
  overflow:hidden;
  padding:40px 0;
  position:relative;
}

.gallery-track{
  display:flex;
  gap:30px;
  width:max-content;
  will-change:transform;
}



/* ===== 画像モーダル ===== */

.image-modal{
  position:fixed;
  inset:0;
  display:flex;
  align-items:center;
  justify-content:center;
  background:rgba(0,0,0,0.4);
  backdrop-filter:blur(10px);
  opacity:0;
  visibility:hidden;
  transition:0.3s;
  z-index:9999;
}

.image-modal.active{
  opacity:1;
  visibility:visible;
}

.image-modal img{
  max-width:85%;
  max-height:75vh;
  border-radius:0;
  box-shadow:0 20px 60px rgba(0,0,0,0.6);
  transform:scale(0.8);
  transition:0.3s;
}

.image-modal.active img{
  transform:scale(1);
}

.modal-close,
.modal-prev,
.modal-next{
  position:absolute;
  background:none;
  border:none;
  color:#fff;
  font-size:40px;
  cursor:pointer;
  z-index:10000;
}

.modal-close{ top:30px; right:40px; }
.modal-prev{ left:40px; top:50%; transform:translateY(-50%); }
.modal-next{ right:40px; top:50%; transform:translateY(-50%); }

.modal-close:hover,
.modal-prev:hover,
.modal-next:hover{
  opacity:0.7;
}

.modal-content{
  display:flex;
  flex-direction:column;
  align-items:center;
}

.modal-caption{
  margin-top:20px;
  color:#fff;
  font-size:16px;
  letter-spacing:0.05em;
  text-align:center;
  max-width:80%;
}

/* =========================
   2カラム split レイアウト
========================= */

.split-wrapper{
  display:flex;
}

/* 左側固定 */
.left-fixed{
  width:45%;
  height:100vh;
  position:fixed;
  left:0;
  top:0;
  overflow:hidden;
}

/* 背景を左側だけに */
.left-fixed .bg-gradient{
  position:absolute;
  inset:0;
}

/* 右側スクロール */
.right-content{
  width:55%;
  margin-left:45%;
  background:#fff;
  min-height:100vh;
  position:relative;
  z-index:2;
}
.right-content{
  background:transparent;
}

/* ===== 5枚リンクカード（カード風） ===== */
.top-links-card{
  width:90%;
  max-width:1200px;
  margin:100px auto;
  background:/*#FFFFFF*/rgba(255,255,255,0.23);
  padding:50px 0;
  /*border-radius:25px;*/
  box-shadow:0 4px 12px rgba(0,0,0,.35);

  opacity:0;
  transform:translateY(40px);
  transition:1.4s cubic-bezier(0.16,1,0.3,1);
}

/* 5枚表示用 */
.top-links-card.show{
  opacity:1;
  transform:translateY(0);
}

.links-card-header{
  padding:0 60px;  
  display:flex;
  align-items:baseline;
  gap:15px;
  margin-bottom:40px;
}
.links-card-header h2{
  font-size:2.55rem;
  font-weight:bold;
  color:#3D8A6C;
transform: skewX(-7deg);
}

.links-card-header .subtitle{
  font-size:1rem;
  font-weight:100;
  color:#fff;
}

/* 5枚画像 */
.links-images{
  display:flex;
}

.links-images a{
  flex:1;
  overflow:hidden;
}

.links-images img{
  width:100%;
  /*height:360px;*/
  object-fit:cover;
  display:block;
  transition:1.2s ease;
}

.links-images a:hover img{
  transform:scale(1.05);
  filter:brightness(1.08);
}

/* 5枚レスポンシブ */
@media(max-width:1068px){

  .top-links-card{
    padding:30px 20px;
  }

  .links-images{
    flex-wrap:wrap;
  }

  .links-images a{
    width:50%;
  }

  /*.links-images img{
    height:130px;
  }*/

  .links-card-header{
    justify-content:center;
    text-align:center;
  }

}

/* ===== ギャラリーレスポンシブ pc用===== */
@media(min-width:1069px){
  .card-header{
    display:block;   
  }

  .card-header .subtitle{
    display:block;
    margin-top:10px; 
  }

}
/* ===== ギャラリーレスポンシブ sp用===== */
@media(max-width:1068px){
  .card{ flex-direction:column !important; text-align:center; gap:30px; padding:30px 20px; }
  .card-image{ width:80%; height:200px; }
  .lead-text{ /*padding:60px 20px;*/ font-size:1.2rem; }
  .card-header{ justify-content:center; }
  .gallery-track img{ width:280px; height:380px; }
}

/* =================================
   スマホレイアウトまとめ
================================= */

@media(max-width:1068px){
/* ===== split layout ===== */
.split-wrapper{
  display:block;
}

.left-fixed{
  position:relative;
  width:100%;
  height:0vh;
}

.right-content{
  width:100%;
  margin-left:0;

  position:relative;
  overflow:hidden;

  /*background:linear-gradient(
    120deg,
	#008793,
    #009c84,
    #00b89c,
    #008793
  );*/
	
background: #00947A;

  background-size:300% 300%;
  animation:gradientFlow 12s ease infinite;
}



/* ===== スマホトップ画像 ===== */
body{
  background:none;
 background-color:#00947A; 
}

.hero-space{
  width:100%;
  height:auto;
  aspect-ratio:750 / 1042;
  background:#00947A url('../img/top_all_sp.png') center / cover no-repeat;
}
	
/* ===== リード文 ===== */
	.hero span{font-size: 1.0rem}
p.accent span{font-size:1.8rem; }
	.lead-text{padding: 10px 20px;
	margin: 10px;}	
	
/* ===== カードレイアウト ===== */
.card{
  flex-direction:column !important;
  text-align:center;
  gap:20px;
  padding:25px 20px 35px;
}
.card-image{
  width:100%;
  aspect-ratio:1/1;
  height:auto;
  flex:none;
  margin-bottom:10px;
}
.card-image img{
  width:100%;
  height:100%;
  object-fit:cover;
}

/* 2枚目4枚目の順番 */
.card-02 .card-image{
  order:1;
}
.card-02 .card-body{
  order:2;
}
	
.card-deco{
 top:-90px;
  left:-15px;
}

/* ===== カードヘッダー ===== */

.card-header{
  display:flex;
  flex-direction:column;
  align-items:center;
  gap:10px;
}

.card-header .subtitle{
  font-size:13px;
}

.box-card{
  padding:8px 14px; 
}

.box-card h2{
  font-size:18px;
  line-height:1.4;
}

/* =========================
   スマホ：タイトル縦並び
========================= */
  .links-card-header{
    flex-direction:column;
    align-items:center;
    gap:10px;
    text-align:center;
  }

/* ===== ボタン ===== */

.card button{
  margin-top:10px;
  padding:12px 38px;
  font-size:14px;
}
	.view-btn{
		font-size:14px;
	}

/* ===== ギャラリー ===== */

.gallery-track img{
  width:280px;
  height:380px;
}
	
}


/* =================================
   グラデーションアニメーション
================================= */

@keyframes gradientFlow{

0%{
background-position:0% 50%;
}

50%{
background-position:100% 50%;
}

100%{
background-position:0% 50%;
}

}



/* =========================
   スマホ　PCの時消す対応
========================= */
@media screen and (min-width:769px){.pc-hide{display: none !important; /* 確実に非表示 */}}

@media screen and (max-width: 768px){.sp-hide{display: none !important; /* 確実に非表示 */}}

@media screen and (min-width: 1450px){.pc1400-hide{display: none !important; /* 確実に非表示 */}}


